<div id="cookie-policy"></div>
<script>
    (function() {
        var isInfoEnabled = <?php echo Zend_Json::encode($this->gdpr()->isCookieBoxEnabled()) ?>;
        var container = document.getElementById('cookie-policy');
        var hasCookiePolicy = window.localStorage.getItem('cookie-policy') !== null;
        if (isInfoEnabled && !hasCookiePolicy) {
            container.setAttribute('class', 'cookie-policy-placeholder');
        }
        require(['app/cookie-policy'], function (cookiePolicy) {
            cookiePolicy.default({
                container: container,
                layoutType: <?php echo Zend_Json::encode($this->layoutType ?: null) ?>,
                locale: <?php echo Zend_Json::encode([
                    'info' => Zend_Registry::get('translate')->getSection('components.cookie-policy.info'),
                    'preferences' => Zend_Registry::get('translate')->getSection('components.cookie-policy.preferences'),
                ]) ?>,
                isInfoEnabled: isInfoEnabled,
            });
            container.removeAttribute('class');
        });
    })();
</script>
